AnyEvent::XMPP::Ext::MUC::RoomInfo(3)

NAME
AnyEvent::XMPP::Ext::MUC::RoomInfo - Room information

SYNOPSIS

DESCRIPTION
This module represents the room information for a MUC.

METHODS

new (%args)
disco_info
    This method returns the info discovery object AnyEvent::XMPP::Ext::Disco::Info for the disco query that this roominfo was obtained from.

as_debug_string
    Returns the MUC room information as string for debugging.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.